package com.mosty.rzzx.mapper;

import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface RzzxStatisticsMapper {

    @ApiOperation("各部门反馈统计(市级权限)")
    List<Map<String, Object>> sjfktj(@Param("ssbmdm") String ssbmdm);

    @ApiOperation("各部门反馈统计(县级权限)")
    List<Map<String, Object>> xjfktj(@Param("ssbmdm") String ssbmdm);

    @ApiOperation("各类反馈统计")
    List<Map<String, Object>> glfktj(@Param("ssbmdm") String ssbmdm);

    @ApiOperation("各系统反馈统计")
    List<Map<String, Object>> gxtfktj(@Param("ssbmdm") String ssbmdm);

    @ApiOperation("列表查询数量")
    int lbcxCount(Map<String, Object> map);

    @ApiOperation("列表查询")
    List<Map<String, Object>> lbcxList(Map<String, Object> map);
}
